Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.ejb.property
Interface PropertySetManager

All Superinterfaces
  Serializable

    @ControlInterface
    public interface PropertySetManager

extends Serializable

PropertySetManager is a stateless session bean that provides access to property sets, through PropertySetRepositories. It also provides translation between XML and property set objects for use in the data synchronization framework.

This control has been deprecated. Instead, use an instance of the PropertySetManager EJB, which supports all of the methods from this control. An instance of the PropertySetManager EJB can be obtained with the following code:

         com.bea.p13n.property.PropertySetManagerHome home =
                 com.bea.p13n.util.JndiHelper.lookupNarrow("java:comp/env/ejb/PropertySetManager",
                                                           com.bea.p13n.property.PropertySetManagerHome.class);
         com.bea.p13n.property.PropertySetManager propSetMgr = home.create();

The PropertySetManager EJB will maintain a mapping of property set types to property set repositories so that the appropriate repository will be queried when a PropertySet is requested.

To define a property set type to repository class mapping, create an entry in the PropertySetManager's deployment descriptor that follows this pattern:

       <env-entry>
         <env-entry-name>repository/USER</env-entry-name>
         <env-entry-type>java.lang.String</env-entry-type>
         <env-entry-value>com.bea.p13n.platform.property.internal.PropertySetRepositoryImpl</env-entry-value>
       </env-entry>

See Also
  `PropertySetManager`, `PropertySet`, `PropertySetRepository`

Method Summary
`PropertySet` | `getPropertySet(String type, String name)` Deprecated Use the equivalent method from the PropertySetManager EJB
`Map` | `getPropertySets(String type)` Deprecated Use the equivalent method from the PropertySetManager EJB
`String` | `getPropertySetXml(String type, String name)` Deprecated Use the equivalent method from the PropertySetManager EJB

Method Detail

### getPropertySet

    PropertySet getPropertySet(String type,
                               String name)
                               throws P13nControlException

  Deprecated Use the equivalent method from the PropertySetManager EJB

  Get the PropertySet identified by the given type and name

  Parameters
    `type` - provides the mapping of a property set type (eg, USER) with its data repository. See javadocs above.
    `name` - the name of the PropertySet
  Returns
    the PropertySet, or null if it is not found
  Throws
    `P13nControlException` - if remote errors occurr while accessing the PropertySetManager EJB

### getPropertySetXml

    String getPropertySetXml(String type,
                             String name)
                             throws P13nControlException

  Deprecated Use the equivalent method from the PropertySetManager EJB

  Retrieve the XML representation of a property set

  Parameters
    `type` - provides the mapping of a property set type (eg, USER) with its data repository See javadocs above.
    `name` - the name of the PropertySet to retrieve
  Returns
    the XML representation of that PropertySet
  Throws
    `P13nControlException` - if remote errors occurr while accessing the PropertySetManager EJB

### getPropertySets

    Map getPropertySets(String type)
                        throws P13nControlException

  Deprecated Use the equivalent method from the PropertySetManager EJB

  Get all PropertySets of a given type

  Parameters
    `type` - provides the mapping of a property set type (eg, USER) with its data repository See javadocs above.
  Returns
    a map of name, PropertySet object pairs, or null if none are defined
  Throws
    `P13nControlException` - if remote errors occurr while accessing the PropertySetManager EJB

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved